Bug 415791 - (netbsd-iscsi-review) Review Request: netbsd-iscsi - User-space implementation of iSCSI target from NetBSD project
Review Request: netbsd-iscsi - User-space implementation of iSCSI target from...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 11:30 EST by Lubomir Kundrak
Modified: 2008-02-05 14:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 14:29:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-12-07 11:30:34 EST
SPEC: http://people.redhat.com/lkundrak/SPECS/netbsd-iscsi.spec
SRPM:
http://people.redhat.com/lkundrak/mock-results/netbsd-iscsi-20071205-1.fc8.x86_64/netbsd-iscsi-20071205-1.fc8.src.rpm
mock:
http://people.redhat.com/lkundrak/mock-results/netbsd-iscsi-20071205-1.fc8.x86_64/

Description:

NetBSD iSCSI is an iSCSI target following the iSCSI RFC 3720.  It is based
on the BSD-licensed Intel iSCSI reference model.  It has been tried and
tested with the Microsoft iSCSI initiator, version 1.06.

Some random notes:

I used a daily snapshot as formal releases are not available. Now I realize,
that the snapshot tarballs get purged after some time, so I'll probably rebase
this on NetBSD CVS. For now there's no need -- the code is pretty much the same,
and stable.

The code also includes a FUSE-based userspace initiator. Though it is primarily
meant to serve as a testsuite for the target, it might be actually usable, so
I'll consider adding it as a subpackage. On the other hand it might be pertly
unnecessary, as we already have a (kernel-based) initiator that performs better
(and works with this target as well).

I'll explore the possibility of packaging libnbsdcompat to provide non-standard
NetBSD specific functions such as strl* funcions, to make need to have local
copies unnecessary.

RPMlint:

netbsd-iscsi.x86_64: W: file-not-utf8 /usr/share/man/man8/iscsi-target.8.gz
netbsd-iscsi.x86_64: W: file-not-utf8 /usr/share/man/man5/targets.5.gz

It is the (c) sign. I might as well replace it, as it adds na ugly banner to the
manual pages:

XXX
XXX WARNING: old character encoding and/or character set
XXX
Comment 1 Lubomir Kundrak 2007-12-07 12:36:48 EST
I'll need to write the init script as well.
Comment 3 Lubomir Kundrak 2007-12-18 10:11:38 EST
Nobody loves NetBSD iSCSI?
*sad panda*
Comment 4 Marek Mahut 2007-12-18 15:23:46 EST
 + Package is named according to the Package Naming Guidelines.
 + Spec file name must match the base package %{name}, in the format %{name}.spec.
 + Package meets the Packaging Guidelines.
 + Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: Fedora rawhide
 + Rpmlint output is sane.
 + Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 + Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 + License field in the package spec file matches the actual license.
     License type: BSD
 + Spec file is legible and written in American English.
 + Package is not known to require ExcludeArch
 + Package must own all directories that it creates.
 + Package does not contain duplicates in %files.
 + Permissions on files are set properly.
 + Package has a %clean section, which contains rm -rf of the buildroot
 + Package consistently uses macros.
 + File based requires are sane.


   APPROVED.
Comment 5 Lubomir Kundrak 2007-12-18 15:30:09 EST
New Package CVS Request
=======================
Package Name: netbsd-iscsi
Short Description: User-space implementation of iSCSI target from NetBSD project
Owners: lkundrak
Branches: EL-4 EL-5 F-7 F-8
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-12-18 21:25:09 EST
cvs done.
Comment 7 Lubomir Kundrak 2007-12-19 15:43:51 EST
Danke Schon Kevin, Marek. Imported and built.

Note You need to log in before you can comment on or make changes to this bug.